> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Crypto News

> To query the latest crypto news and guides on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

#### Notes

* Without `coin_id`, returns all latest news as seen on [CoinGecko News](https://www.coingecko.com/en/news) (news only, no guides).
* With `coin_id`, returns both news and guides by default (`type=all`). Use `type` to filter by news or guides only.
* Pagination: `page` supports up to 20, `per_page` up to 20 — maximum 400 articles total.

<PlanExclusivity tier="analyst_above" />

<CacheInfo rate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.news.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.news.get()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/pro-api.json get /news
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /news:
    get:
      summary: Crypto News
      description: To query the latest crypto news and guides on CoinGecko
      operationId: news
      parameters:
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default value: 1 
            Valid values: 1...20
          schema:
            type: integer
        - name: per_page
          in: query
          required: false
          description: |-
            Total results per page. 
            Default value: 10 
            Valid values: 1...20
          schema:
            type: integer
        - name: coin_id
          in: query
          required: false
          description: |-
            Filter news by coin ID. 
            *refers to [`/coins/list`](/reference/coins-list).
          schema:
            type: string
        - name: language
          in: query
          required: false
          description: |-
            Filter news by language. 
            Default: `en`
          schema:
            type: string
            enum:
              - en
              - ru
              - de
              - pl
              - es
              - vi
              - fr
              - pt-br
              - ar
              - bg
              - cs
              - da
              - el
              - fi
              - he
              - hi
              - hr
              - hu
              - id
              - it
              - ja
              - ko
              - lt
              - nl
              - 'no'
              - ro
              - sk
              - sl
              - sv
              - th
              - tr
              - uk
              - zh
              - zh-tw
        - name: type
          in: query
          required: false
          description: >-
            Filter news by type. 

            Default: `all` 

            Note: `guides` filter is only applicable if `coin_id` is specified
            and valid.
          schema:
            type: string
            enum:
              - all
              - news
              - guides
      responses:
        '200':
          description: List of latest crypto news
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/News'
              example:
                - title: >-
                    European Union debates limits on Big Tech access to cloud
                    tenders
                  url: https://cryptobriefing.com/eu-big-tech-cloud-tender-limits/
                  image: >-
                    https://assets.coingecko.com/articles/images/107301317/large/open-uri20260527-7-l3llje.?1779877857
                  author: Editorial Team
                  posted_at: '2026-05-27T10:27:57Z'
                  type: news
                  source_name: Crypto Briefing
                  related_coin_ids:
                    - could
                    - union-2
                - title: Implied Volatility and IV Crush in Bitcoin Options Explained
                  url: >-
                    https://www.coingecko.com/learn/implied-volatility-iv-crush-bitcoin-options
                  image: >-
                    https://coin-images.coingecko.com/posts/images/102135679/large/Implied_Volatility_Options.png?1779696471
                  author: Hans Be
                  posted_at: '2026-05-25T13:08:37Z'
                  type: guide
                  source_name: CoinGecko
                  related_coin_ids:
                    - bitcoin
                    - ethereum
components:
  schemas:
    News:
      type: array
      items:
        type: object
        required:
          - title
          - url
          - image
          - author
          - posted_at
          - type
          - source_name
          - related_coin_ids
        properties:
          title:
            type: string
            description: News article title
          url:
            type: string
            description: News article URL
          image:
            type: string
            description: News article image URL
          author:
            type: string
            description: News article author
          posted_at:
            type: string
            description: News article published timestamp in ISO 8601 format
          type:
            type: string
            description: News article type
            enum:
              - news
              - guide
          source_name:
            type: string
            description: News article source name
          related_coin_ids:
            type: array
            description: Related coin IDs
            items:
              type: string
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````